Kling 3.0 Pro Text to Video
Entegre et
kling-video/v3/pro/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/v3/pro/text-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A paper boat drifts down a rain-filled street gutter at dusk. The camera follows at water level as raindrops ripple around it and neon reflections shimmer on the wet asphalt, then the boat tips over a small cascade into a puddle. Realistic water physics, shallow depth of field, cinematic.",
"duration": 5,
"generate_audio": false,
"aspect_ratio": "16:9"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v3/pro/text-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A paper boat drifts down a rain-filled street gutter at dusk. The camera follows at water level as raindrops ripple around it and neon reflections shimmer on the wet asphalt, then the boat tips over a small cascade into a puddle. Realistic water physics, shallow depth of field, cinematic.",
"duration": 5,
"generate_audio": false,
"aspect_ratio": "16:9"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A paper boat drifts down a rain-filled street gutter at dusk. The camera follows at water level as raindrops ripple around it and neon reflections shimmer on the wet asphalt, then the boat tips over a small cascade into a puddle. Realistic water physics, shallow depth of field, cinematic.",
"duration": 5,
"generate_audio": False,
"aspect_ratio": "16:9",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v3/pro/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/tr/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "kling-video/v3/pro/text-to-video",
"input": {
"prompt": "A paper boat drifts down a rain-filled street gutter at dusk. The camera follows at water level as raindrops ripple around it and neon reflections shimmer on the wet asphalt, then the boat tips over a small cascade into a puddle. Realistic water physics, shallow depth of field, cinematic.",
"duration": 5,
"generate_audio": false,
"aspect_ratio": "16:9"
}
}
Kling 3.0 Pro Text to Video modelini (kling-video/v3/pro/text-to-video) Doitong API üzerinden çağırın. Ajanlar için belgeler: https://doitong.com/tr/developers/models/kling-video/v3/pro/text-to-video.md
POST https://api.doitong.ru/v1/run/kling-video/v3/pro/text-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A paper boat drifts down a rain-filled street gutter at dusk. The camera follows at water level as raindrops ripple around it and neon reflections shimmer on the wet asphalt, then the boat tips over a small cascade into a puddle. Realistic water physics, shallow depth of field, cinematic.",
"duration": 5,
"generate_audio": false,
"aspect_ratio": "16:9"
}
Yanıt durumu "queued" veya "running" ise, durum "succeeded" olana kadar GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 ile yoklayın; dosyalar outputs[].url içindedir. Aynı gövdeyle POST https://api.doitong.ru/v1/quote/kling-video/v3/pro/text-to-video, çalıştırmadan önce kesin fiyatı döndürür.
Bu istek: $0,56 560 API kredisi · ≈ ₽60,10 Bu sayfada çalıştır
Yeni API anahtarınız. Yalnızca şimdi gösterilir ve zaten aşağıdaki kodda ve API anahtarı alanında bulunur. Gizli tutun: tarayıcıda çalışan kodlara asla eklemeyin.
Örnekler
İstemA paper boat drifts down a rain-filled street gutter at dusk. The camera follows at water level as raindrops ripple around it and neon reflections shimmer on the wet asphalt, then the boat tips over a small cascade into a puddle. Realistic water physics, shallow depth of field, cinematic.
İstek oluştur
Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.
/run/kling-video/v3/pro/text-to-video?wait=20
fiyat → $0,56
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kling-video/v3/pro/text-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A paper boat drifts down a rain-filled street gutter at dusk. The camera follows at water level as raindrops ripple around it and neon reflections shimmer on the wet asphalt, then the boat tips over a small cascade into a puddle. Realistic water physics, shallow depth of field, cinematic.",
"duration": 5,
"generate_audio": false,
"aspect_ratio": "16:9"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/kling-video/v3/pro/text-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A paper boat drifts down a rain-filled street gutter at dusk. The camera follows at water level as raindrops ripple around it and neon reflections shimmer on the wet asphalt, then the boat tips over a small cascade into a puddle. Realistic water physics, shallow depth of field, cinematic.",
"duration": 5,
"generate_audio": false,
"aspect_ratio": "16:9"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A paper boat drifts down a rain-filled street gutter at dusk. The camera follows at water level as raindrops ripple around it and neon reflections shimmer on the wet asphalt, then the boat tips over a small cascade into a puddle. Realistic water physics, shallow depth of field, cinematic.",
"duration": 5,
"generate_audio": False,
"aspect_ratio": "16:9",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/kling-video/v3/pro/text-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "kling-video/v3/pro/text-to-video",
"input": {
"prompt": "A paper boat drifts down a rain-filled street gutter at dusk. The camera follows at water level as raindrops ripple around it and neon reflections shimmer on the wet asphalt, then the boat tips over a small cascade into a puddle. Realistic water physics, shallow depth of field, cinematic.",
"duration": 5,
"generate_audio": false,
"aspect_ratio": "16:9"
},
"wait_seconds": 20
}
}
}
Bu isteği çalıştır
Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al
Doitong'ta oluşturuldu
Doitong topluluğunun Kling v3 ile oluşturduğu herkese açık çalışmalar. Bir istemi tek tıklamayla yeniden kullanın.
Video
Оживи исходное изображение. Полностью сохрани внешность девушки, лицо, причёску, одежду, интерьер, цвета, композицию и русский текст. Девушка смотрит прямо на зрителя, естественно улыбается, моргает, слегка наклоняется вперёд и показывает пальцем на зрителя. Она естественно произносит по-русски:...
Video
Оживи исходное изображение, полностью сохрани внешность девушки и дизайн розового персонажа, их лица, цвета, интерьер, композицию и существующий русский текст. Розовый персонаж оживает, смотрит на зрителя, радостно улыбается, моргает, слегка подпрыгивает и машет рукой. Он произносит по-русски:...
Video
Make A warm, emotional 25 second video cinematic scene of a 4 years of boy with dark brown hair and big eyes having a difficult moment—crying, reaching toward their mother, and showing frustration. The mother initially looks concerned,she listens him then gently kneels down, makes eye contact,...
Video
Ты эксперт в медиа продвижении в социальных сетях --- Название рилс: "Ошибка №1 После Развода: Почему ты тормозишь себя?" Хук (Первые 3-5 секунд): * Визуал: Крупный план вашего лица, выражающего легкое недоумение или задумчивость. Затем резкий переход к черно-белой картинке или затемнению. *...
Video
🎬 Фильм «Мамы больше нет» Общий стиль для всех сцен: Фотореалистичный современный российский художественный фильм. Настоящие люди, реальные человеческие лица, натуральная кожа, естественная мимика и движения. Реальная квартира, естественный дневной и вечерний свет, кинематографическая камера,...
Video
Use the uploaded image as the exact identity and appearance reference. Create a short hyperrealistic video where the woman keeps exactly the same face, identity, facial features, proportions, skin tone, hairstyle, bouquet, white shirt, pink balloons, candles “24”, and background. The motion must...
Video
Медленное плавное приближение камеры к гигантскому флакону духов в миниатюрном ночном городе. Две маленькие машины спокойно проезжают по дороге перед основанием флакона. Вдали едва заметно движется лёгкая дымка. Огни города мягко отражаются на мокром асфальте. Флакон стоит неподвижно. Его форма,...
Video
Девушка всилит дома смотрит интернете ищет салон красоты ,находит салон,приходит в салон наш с кудрявыми волосами ,другой мастер кератиновое выпрямление волос ,и она смотрит на свои волосы в зеркало и очень счастлива и благодарит мастера Анастасию Render entirely in "Claymation" style — match its...
Video
Animate this baby very gently and naturally. She is lying on her tummy and happily playing with the colorful toy in front of her. She smiles warmly, softly blinks, makes tiny hand and finger movements toward the toy, slightly wiggles her body, and shows subtle natural breathing. The toy can move...
Video
The toddler slowly lowers his raised hand and gently pats his own bottom, then continues rhythmically patting his bottom many times, slowly and softly, his palm touches only his own body, his hand stays close to his body, like a mother soothing a baby, in a sweet cute baby voice he quietly coos...
Video
Дверь кофейни резко открывается. Внутрь заходит эффектная рыжеволосая девушка в чёрной кожаной куртке, шлем под мышкой. На улице у входа виден её мощный мотоцикл. Она уверенно подходит к стойке. Бариста — симпатичный парень-ботан в очках, с растрёпанными волосами, — поднимает глаза от кофемашины....
Video
A cinematic 3D Pixar-style animation. The same young firefighter gently polishes his silver helmet marked with the number 5. He blinks naturally, smiles slightly, and turns his eyes toward the flashing red alarm light. Red emergency lights pulse and reflect on his helmet and face. Subtle hand...
Video
Cinematic 3D Pixar-style animation. The same young firefighter from the previous shot suddenly hears the emergency alarm. His expression changes from calm to determined. He quickly turns his head toward the flashing red alarm light, grabs his silver firefighter helmet marked with the number 5,...
Video
Ultra-realistic 4K ASMR video, vertical 9:16. A whole fresh brown coconut with a realistic hairy shell sits on a beautiful dark wooden cutting board. Cinematic macro close-up, soft studio lighting, luxurious satisfying aesthetic. A hand slowly approaches holding a sharp stainless steel knife. The...
Video
VISUAL CORRECTION. This replaces the previous request entirely. Subject: a compact studio room A reference supplies identity ONLY. Keep the recognizable subject and visual style, but implement the requested changes to size, parts, pose, setting and composition. The actual result MUST visibly...
Video
VISUAL CORRECTION. This replaces the previous request entirely. Subject: why leaves have veins A reference supplies identity ONLY. Keep the recognizable subject and visual style, but implement the requested changes to size, parts, pose, setting and composition. The actual result MUST visibly...
Kling 3.0 Pro Text to Video hakkında
Kling'in amiral gemisi metinden videoya modeli akıcı, fiziksel olarak inandırıcı hareketler ve film benzeri ışıklandırma oluşturur ve varsayılan olarak eşleşen ses ve konuşma üretir. Bir klibi çekim başına istemlerle birkaç çekime bölün veya kesmeleri modelin kendisinin planlamasına izin verin. 16:9, 9:16 veya 1:1; negatif istem ve yönlendirme ölçeğiyle 3 ile 15 saniye arasında herhangi bir süre.
Parametreler
promptisteğe bağlı
durationisteğe bağlı
multi_promptisteğe bağlı
multi_prompt[].promptgerekli
multi_prompt[].durationisteğe bağlı
generate_audioisteğe bağlı
shot_typeisteğe bağlı
aspect_ratioisteğe bağlı
negative_promptisteğe bağlı
cfg_scaleisteğe bağlı
Çıktı
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "kling-video/v3/pro/text-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 560,
"usd": "0.56",
"charged": 560,
"refunded": 0
},
"input": {
"prompt": "Close-up of fireflies dancing in a dark forest at twilight, soft glowing particles, slow dolly forward",
"duration": 5,
"aspect_ratio": "16:9"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Çıktı alanları
- video
- object {url, content_type, file_name, file_size}Model tarafından üretilen video.
Diğer Kling v3 varyantları
Daha fazla model: Metinden Videoya
AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/kling-video/v3/pro/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt